<link rel="stylesheet" href="panels/{$PANEL_NAME}/tpl/rightbar.css" />
<div class="elxwebphone-loadstage" id="elxwebphone-starting-session">
    <i class="fa fa-spinner fa-3x fa-pulse"></i>
    <span>{$INT_SESSION|escape:html}</span>
</div>
<div class="elxwebphone-loadstage" id="elxwebphone-error-session" style="display:none">
    <span></span>
</div>
<div class="elxwebphone-loadstage" id="elxwebphone-active-session" style="display:none">
    <div id="presence">
        <a href="#" id="presenceicon" class="fa-stack"><i class="fa fa-user fa-3x"></i></a>
        <span id="username"></span>
        <div id="updatepresence" tabindex="-1" style="display: none;">{* tabindex es necesario para eventos focus y blur *}
            <fieldset>
                <div>
                    <i class="fa fa-user fa-lg" style="color: #8cbe29;"></i>
                    <select id="elx_digium_presence_type" name="elx_digium_presence_type">
                        <option value="available">{$LBL_DIGIUM_PRESENCE_AVAILABLE|escape:html}</option>
                        <option value="unavailable">{$LBL_DIGIUM_PRESENCE_UNAVAILABLE|escape:html}</option>
                        <option value="away">{$LBL_DIGIUM_PRESENCE_AWAY|escape:html}</option>
                        <option value="xa">{$LBL_DIGIUM_PRESENCE_XA|escape:html}</option>
                        <option value="chat">{$LBL_DIGIUM_PRESENCE_CHAT|escape:html}</option>
                        <option value="dnd">{$LBL_DIGIUM_PRESENCE_DND|escape:html}</option>
                    </select>
                </div>
                <div>
                    <label for="elx_digium_presence_subtype">{$LBL_DIGIUM_PRESENCE_SUBTYPE|escape:html}:</label>
                    <input id="elx_digium_presence_subtype" name="elx_digium_presence_subtype" />
                </div>
                <div>
                    <label for="elx_digium_presence_message">{$LBL_DIGIUM_PRESENCE_MESSAGE|escape:html}:</label>
                    <textarea rows="3" id="elx_digium_presence_message" name="elx_digium_presence_message"></textarea>
                </div>
                <div style="text-align: center;">
                    <button class="button" id="elx_digium_presence_cancel" type="button">{$BTN_PRESENCE_CANCEL|escape:html}</button>
                    <button class="button" id="elx_digium_presence_submit" type="button">{$BTN_PRESENCE_SUBMIT|escape:html}</button>
                </div>
            </fieldset>
        </div>
        <div id="mwi" style="display: none;">
            <span id="Voice-Message" title="{$LBL_VOICE_MESSAGE|escape:html}" style="display: none;">
                <span class="number" style="display: none;">0</span>
                <span class="fa-stack">
                    <i class="fa fa-stack-1x fa-envelope-square"></i>
                </span>
            </span>
            <span id="Fax-Message" title="{$LBL_FAX_MESSAGE|escape:html}" style="display: none;">
                <span class="number" style="display: none;">0</span>
                <span class="fa-stack">
                    <i class="fa fa-stack-1x fa-fax"></i>
                </span>
            </span>
            <span id="Pager-Message" title="{$LBL_PAGER_MESSAGE|escape:html}" style="display: none;">
                <span class="number" style="display: none;">0</span>
                <span class="fa-stack">
                    <i class="fa fa-stack-1x fa-mobile"></i>
                </span>
            </span>
            <span id="Multimedia-Message" title="{$LBL_MULTIMEDIA_MESSAGE|escape:html}" style="display: none;">
                <span class="number" style="display: none;">0</span>
                <span class="fa-stack">
                    <i class="fa fa-stack-1x fa-files-o"></i>
                </span>
            </span>
            <span id="Text-Message" title="{$LBL_TEXT_MESSAGE|escape:html}" style="display: none;">
                <span class="number" style="display: none;">0</span>
                <span class="fa-stack">
                    <i class="fa fa-stack-1x fa-envelope"></i>
                </span>
            </span>
        </div>
    </div>
    <div id="phonebox">
        <div id="elxwebphone-dialed-extension-wrap">
            <input type="text" id="elxwebphone-dialed-extension" name="elxwebphone-dialed-extension" list="elxwebphone-autocomplete"/>
            <datalist id="elxwebphone-autocomplete">
                {foreach from=$AUTOCOMPLETE item=phonenumber name=autocomplete}
                <option value="{$phonenumber|escape:html}"/>
                {/foreach}
            </datalist>
            <div id="icons">
                <a href="#" id="volumeicon"><i class="fa fa-volume-up"></i></a>
            </div>
        </div>
        <div id="dial-statustext">...</div>
        <div id="volumecontrols" tabindex="-1" style="display: none;">{* tabindex es necesario para eventos focus y blur *}
            <button disabled="disabled" class="button" type="button" id="elxwebphone-do-togglemute" title="{$LBL_BTN_TOGGLEMUTE|escape:html}">
                <i class="fa fa-microphone"></i>
            </button>
            <div class="fa-stack" id="volume-down"><i class="fa fa-volume-down fa-stack-1x"></i></div>
            <div class="fa-stack" id="volume-up"><i class="fa fa-volume-up fa-stack-1x"></i></div>
            <div id="volumeslider"></div>
        </div>
    </div>
    <div id="bar-buttons" class="onidle">
        <a title="{$LBL_TAB_KEYPAD|escape:html}" class="fa-stack barnav selected" href="#elx-phonetab-keypad" id="barnav-keypad">
            <i class="fa fa-th fa-2x"></i>
        </a>
        <a title="{$LBL_TAB_CONTACTS|escape:html}" class="fa-stack barnav" href="#elx-phonetab-contacts" id="barnav-contacts">
            <i class="fa fa-users fa-2x"></i>
        </a>
        <a title="{$LBL_TAB_CHATS|escape:html}" class="fa-stack barnav" href="#elx-phonetab-chats" id="barnav-chats">
            <i class="fa fa-comments fa-2x"></i>
            <span title="{$LBL_UNREAD_CHATS|escape:html}" id="elxwebphone-chats-unread" style="display: none;">0</span>
        </a>
        <a title="{$LBL_TAB_CALLHISTORY|escape:html}" class="fa-stack barnav" href="#elx-phonetab-callhistory" id="barnav-callhistory"><i class="fa fa-history fa-2x"></i></a>

        <a title="{$LBL_BTN_DIAL|escape:html}" href="#" id="elxwebphone-do-call" class="fa-stack elxwebphone-action elxwebphone-onidle">
            <i class="fa fa-phone fa-stack-2x"></i>
        </a>
        <a title="{$LBL_BTN_NEWCHAT|escape:html}" href="#" id="elxwebphone-do-chat" class="fa-stack elxwebphone-action elxwebphone-onidle">
            <i class="fa fa-comment fa-stack-2x"></i>
        </a>

        <a title="{$LBL_BTN_ANSWER|escape:html}" href="#" id="elxwebphone-do-answer" class="fa-stack elxwebphone-action elxwebphone-onring">
            <i class="fa fa-phone fa-stack-2x"></i>
        </a>
        <a title="{$LBL_BTN_REJECT|escape:html}" href="#" id="elxwebphone-do-reject" class="fa-stack elxwebphone-action elxwebphone-onring">
            <i class="fa fa-phone fa-stack-2x"></i>
            <i class="fa fa-ban fa-stack-1x fa-3x"></i>
        </a>

        <a title="{$LBL_BTN_TOGGLEHOLD|escape:html}" href="#" id="elxwebphone-do-togglehold" class="fa-stack elxwebphone-action elxwebphone-oncall">
            <i class="fa fa-hand-stop-o fa-stack-2x"></i>
        </a>
        <a title="{$LBL_BTN_HANGUP|escape:html}" href="#" id="elxwebphone-do-hangup" class="fa-stack elxwebphone-action elxwebphone-calling elxwebphone-oncall">
            <i class="fa fa-phone fa-rotate-90 fa-stack-2x"></i>
        </a>
        <a href="#" disabled="disabled" class="fa-stack elxwebphone-action elxwebphone-calling" style="visibility: hidden;">&nbsp;</a>
    </div>
    <div class="phonetab" id="elx-phonetab-keypad">
        <div class="phonekey" data-key="1">1</div>
        <div class="phonekey" data-key="2">2<div class="sub-dig">ABC</div></div>
        <div class="phonekey" data-key="3">3<div class="sub-dig">DEF</div></div>
        <div class="phonekey" data-key="4">4<div class="sub-dig">GHI</div></div>
        <div class="phonekey" data-key="5">5<div class="sub-dig">JKL</div></div>
        <div class="phonekey" data-key="6">6<div class="sub-dig">MNO</div></div>
        <div class="phonekey" data-key="7">7<div class="sub-dig">PQRS</div></div>
        <div class="phonekey" data-key="8">8<div class="sub-dig">TUV</div></div>
        <div class="phonekey" data-key="9">9<div class="sub-dig">WXYZ</div></div>
        <div class="phonekey" data-key="*">*</div>
        <div class="phonekey" data-key="0">0<div class="sub-dig">+</div></div>
        <div class="phonekey" data-key="#">#</div>
    </div>
    <div class="phonetab" style="display: none;" id="elx-phonetab-contacts">
        <div id='elx_im_contact_search'>
            <input type='text' maxlength='50' id='im_search_filter' name='im_search_filter' class='im_search_filter form-control input-sm' placeholder="{$LBL_IM_FILTER|escape:html}" />
            <div class='contactSearchResult' class='contactSearchResult'>
            </div>
        </div>
        <div class="checkbox">
            <label><input type="checkbox" id="elx-chk-show-offline-contacts" />{$LBL_SHOW_ONLINE|escape:html}</label>
        </div>
        <div id='elx_im_list_contacts'>
            <!-- Dentro de este ul se encuentra la plantilla que define un item de contacto -->
            <ul id="elx_template_contact_status" style="display: none;">
                <li>
                    <i class="fa fa-phone fa-lg status"></i>
                    <i class="fa fa-user fa-lg status"></i>
                    <i class="fa fa-comment fa-lg action" title="{$LBL_BTN_NEWCHAT|escape:html}"></i>
                    <i class="fa fa-phone fa-lg action" title="{$LBL_BTN_DIAL|escape:html}"></i>
                    <div class="elx_contact_div"></div>
                </li>
            </ul>
            <!-- El ul de abajo es la lista de contactos reales -->
            <ul id='elx_ul_list_contacts'>
            </ul>
        </div>
    </div>
    <div class="phonetab" style="display: none;" id="elx-phonetab-chats">
        <span class="fa-stack" style="display: none;" id="elx_close_chat" title="{$BTN_CLOSE_CHAT|escape:html}">
            <i class="fa fa-circle fa-stack-2x" style="color: red;"></i>
            <i class="fa fa-close fa-stack-1x fa-lg" style="color: white;"></i>
        </span>
        <div id="elx_chat_select_wrap">
            <select disabled="disabled" name="elx_chat_active" id="elx_chat_active">
                <option value="" >{$LBL_NO_CHATS_ACTIVE}</option>
            </select>
        </div>
        {* Plantilla para mensaje de chat *}
        <div class="chatmessage" style="display: none;">
            <div class="chatheader">
                <div class="time"></div>
                <div class="user"></div>
            </div>
            <div class="body"></div>
        </div>
        <div id="elx_chat_group" style="display: none;">
            {* Aquí adentro se colocarán los chats dentro de divs con data-uri*}
        </div>
        <textarea maxlength="1024" placeholder="{$LBL_TEXTAREA_YOU_MSG_HERE|escape:html}" style="display: none;"></textarea>
    </div>
    <div class="phonetab" style="display: none;" id="elx-phonetab-callhistory">
        <ul id="elx_template_call_entry" style="display: none;">
            <li {*class="answered"*}>
                <div class="fa-stack fa-lg">
                    <i class="fa fa-square fa-stack-2x"></i>
                    <i class="fa fa-phone fa-stack-2x"></i>
                    <i class="fa fa-long-arrow-left fa-stack-2x"></i>
                    <i class="fa fa-long-arrow-right fa-stack-2x"></i>
                </div>
                <div class="phone">
                    <span class="contactname">{$LBL_UNKNOWN|escape:html}</span><br/>
                    &lt;<span class="dialnumber">?</span>&gt; - <span class="calldate">2000-01-31 00:00:00</span>
                </div>
            </li>
        </ul>
        <ul id="elx_ul_list_calls">
            {foreach from=$CALLHISTORY item=call name=callhistory}
            <li class="{$call.status}" data-phone="{$call.number|escape:html}">
                <div class="fa-stack fa-lg">
                    <i class="fa fa-square fa-stack-2x"></i>
                    <i class="fa fa-phone fa-stack-2x"></i>
                    <i class="fa fa-long-arrow-left fa-stack-2x"></i>
                    <i class="fa fa-long-arrow-right fa-stack-2x"></i>
                </div>
                <div class="phone">
                    <span class="contactname">{$LBL_UNKNOWN|escape:html}</span><br/>
                    &lt;<span class="dialnumber">{$call.number|escape:html}</span>&gt; - <span class="calldate">{$call.lbldate|escape:html}</span>
                </div>
            </li>
            {/foreach}
        </ul>
    </div>
    <!-- Media -->
{if $VIDEO_ENABLED}
    <video id="elx_media_remote" autoplay style="display:none;"></video>
    <video id="elx_media_local" muted="muted" style="display:none;"></video>
{else}
    <audio id="elx_media_remote" autoplay style="display:none;"></audio>
    <audio id="elx_media_local" muted="muted" style="display:none;"></audio>
{/if}
</div>{* elxwebphone-active-session *}
<script type='text/javascript' src="panels/{$PANEL_NAME}/js/sip-0.7.5.min.js"></script>
<script type='text/javascript' src="panels/{$PANEL_NAME}/js/rightbar.js"></script>
<script type="text/javascript">
var arrLang_panel; if (typeof arrLang_panel == 'undefined') arrLang_panel = {};
arrLang_panel['elastixwebphone'] = {$ARRLANG_PANEL};
</script>
